Subject: bug#41756: closed (Re: [bug#41756] [PATCH] gnome: gnome-desktop: Add bubblewrap as an input.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Jun 2020 11:05:02 +0000

Your bug report

#41756: [PATCH] gnome: gnome-desktop: Add bubblewrap as an input.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41756: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41756
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41756] [PATCH] gnome: gnome-desktop: Add bubblewrap as an input.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Jun 2020 12:04:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> (There’s a typo in the subject prefix.)
>
> Christopher Baines <[email-masked]> skribis:
>
>> This is expected to be available, oddly as libseccomp is available.  These
>> changes fix thumbnails for Nautilus.
>>
>> * gnu/packages/gnome.scm (gnome-desktop)[arguments]: Add 'patch-bubblewrap
>> phase.
>> [inputs]: Add bubblewrap.
>
> Nice, I didn’t know the thumbnailer would do that.
>
>> +         (add-before 'configure 'patch-bubblewrap
>> +           (lambda* (#:key inputs #:allow-other-keys)
>> +             (substitute* "libgnome-desktop/gnome-desktop-thumbnail-script.c"
>> +               (("\"bwrap\",")
>> +                (string-append "\"" (which "bwrap") "\","))
>> +               (("\"--ro-bind\", \"/usr\", \"/usr\",")
>> +                (string-append "\"--ro-bind\", \""
>> +                               (%store-directory)
>> +                               "\", \""
>> +                               (%store-directory)
>> +                               "\","))
>> +               (("\"--ro-bind\", \"/etc/ld.so.cache\", \"/etc/ld.so.cache\",")
>> +                "\"--ro-bind\", \"/run/current-system\", \"/run/current-system\","))
>
> Perhaps we can replace this second --ro-bind with the empty string?
>
> Otherwise LGTM!

Great, I've replaced the second --ro-bind as you suggested, that seems
not to be necessary. I've pushed as
3857aba7ab25c50d64a6d7468d2b5b09bc4f5d60.

Thanks,

Chris

Subject: [PATCH] gnome: gnome-desktop: Add bubblewrap as an input.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 7 Jun 2020 21:22:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is expected to be available, oddly as libseccomp is available.  These
changes fix thumbnails for Nautilus.

* gnu/packages/gnome.scm (gnome-desktop)[arguments]: Add 'patch-bubblewrap
phase.
[inputs]: Add bubblewrap.
---
 gnu/packages/gnome.scm | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 592cab0b49..92411fb698 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -1286,6 +1286,20 @@ offline sources, providing a centralized place for managing your contacts.")
                  (("\"locale\"")
                   (string-append "\"" libc "/bin/locale\"")))
                #t)))
+         (add-before 'configure 'patch-bubblewrap
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "libgnome-desktop/gnome-desktop-thumbnail-script.c"
+               (("\"bwrap\",")
+                (string-append "\"" (which "bwrap") "\","))
+               (("\"--ro-bind\", \"/usr\", \"/usr\",")
+                (string-append "\"--ro-bind\", \""
+                               (%store-directory)
+                               "\", \""
+                               (%store-directory)
+                               "\","))
+               (("\"--ro-bind\", \"/etc/ld.so.cache\", \"/etc/ld.so.cache\",")
+                "\"--ro-bind\", \"/run/current-system\", \"/run/current-system\","))
+             #t))
          (add-before 'check 'pre-check
            (lambda* (#:key inputs #:allow-other-keys)
              ;; Tests require a running X server and locales.
@@ -1315,6 +1329,7 @@ offline sources, providing a centralized place for managing your contacts.")
     (inputs
      `(("gdk-pixbuf" ,gdk-pixbuf)
        ("glib" ,glib)
+       ("bubblewrap" ,bubblewrap)
        ("libxext" ,libxext)
        ("libxkbfile" ,libxkbfile)
        ("libxrandr" ,libxrandr)))
-- 
2.26.2